Public Types | List of all members
cgicc::XHTMLDoctype Class Reference

Class that abstracts a XHTML Doc Type. More...

`#include <cgicc/XHTMLDoctype.h>`

Inheritance diagram for cgicc::XHTMLDoctype:

## Public Types
enum | EDocumentType { eStrict , eTransitional , eFrames , eHTML5 }

## Constructor and Destructor
| XHTMLDoctype (EDocumentType type=eStrict)
| Constructor. More...
virtual | ~XHTMLDoctype ()
| Destructor. More...
virtual void | render (std::ostream &out) const
| Write this object to a stream. More...

## Additional Inherited Members
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Detailed Description

Class that abstracts a XHTML Doc Type.

This class add the XHTML Doc Type feature

Definition at line 44 of file XHTMLDoctype.h.

## Member Enumeration Documentation

## ◆ EDocumentType

enum cgicc::XHTMLDoctype::EDocumentType

Definition at line 46 of file XHTMLDoctype.h.

## Constructor & Destructor Documentation

## ◆ XHTMLDoctype()

cgicc::XHTMLDoctype::XHTMLDoctype | ( | EDocumentType | type = `eStrict` | ) |

Constructor.

Create a new XHTMLDoctype.h object

Parameters

  input | The Document Type

## ◆ ~XHTMLDoctype()

virtual cgicc::XHTMLDoctype::~XHTMLDoctype | ( |  | ) |
| virtual

Destructor.

Delete this XHTMLDoctype.h object

## Member Function Documentation

## ◆ render()

virtual void cgicc::XHTMLDoctype::render | ( | std::ostream & | out | ) | const
| virtual

Write this object to a stream.

Subclasses must implement this function.

Parameters

  out | The ostream to which to write.

Implements cgicc::MStreamable.

The documentation for this class was generated from the following file:

- XHTMLDoctype.h